#
# bee-ent.py, 16 Jan 22

import spacy
import sys

# from spacy import displacy

nlp = spacy.load("en_core_web_sm")

# The following code loads a trained NER model
# remove existing NER
# nlp.remove_pipe('ner')
# # print("Pipeline", nlp.pipe_names)

# nlp_entity = spacy.load("./se_ner")

# nlp.add_pipe(nlp_entity)
# # print("Pipeline", nlp.pipe_names)


# with open(a_file) as f:
#    bee_lines = f.readlines()

count=0

for line in sys.stdin:
   count += 1
   print(f'> {count}: {line}')
#
   doc=nlp(line)
#
   # for np in doc.noun_chunks: # noun chunks
   #    print(np.lemma_)
#
   for ent in doc.ents:  # named entities
      print(ent.lemma_, ent.label_) # , ent.text, ent.start_char, ent.end_char)

# displacy.render(doc, style='dep')

   # docs = list(nlp.pipe(texts))

# It is more efficient to process all the lines in a pipeline.
# As in the following code
   # for doc in nlp.pipe(texts):
   #    for np in doc.noun_chunks: # noun chunks
   #       print(np.lemma_)
#

