#
# beechange.awk, 13 Jan 22

BEGIN {
	cur_line=""
	last_pt_num=0
	}


$0 ~ /^ *$/ { # A blank or all spaces line
	# print "blank line"
	next
	}

($0 ~ /^  /) && ($1+0 > 2000) && (length($1) == 4) { # Is this a date line?
	# print $1 " > 2000"
	next
	}

	{
	gsub(/<http.+>/, "", $0) # remove urls
	gsub(/\/\//, "", $0)
	gsub(/ +$/, "", $0) # remove trailing spaces
	}

(substr($1, length($1)) == ".") &&
(substr($1, 1, 1) == (substr($1, 1, 1)+0))  &&
!($0 ~ /^  /) {
	# print $1
	# if ($1 != last_pt_num+1) # There are about 172 number points missing
	#    print "point num seq " last_pt_num ":" $1
	last_pt_num=$1
	$1=""
	if (cur_line != "")
	   print cur_line
	gsub(/^ +/, "", $0)
	cur_line=$0
	next
	}

	{
	# print "append line"
	gsub(/^ +/, "", $0)
	cur_line=cur_line " " $0
	next
	}

END {
	print cur_line
	}

